import Chart from 'chart.js';

window.onload = function () {
  /* global config */
  if (document.getElementById('asso-activity-chart') !== null) {
    const ctx = document.getElementById('asso-activity-chart').getContext('2d');
    window.myDoughnut = new Chart(ctx, config);
  }
  const defaultDatas = document.querySelectorAll('.data-total');
  const btns = document.querySelectorAll('.dropdown-item');
  defaultDatas.forEach((el) => el.classList.add('show'));
  let i = 0;
  for (i; i < btns.length; i++) {
    btns[i].addEventListener('click', function () {
      const current = document.querySelectorAll('.active');
      if (current.length > 0) {
        current[0].classList.remove('active');
      }
      this.classList.add('active');
    });
  }
};

function showTable(id) {
  const data = document.querySelectorAll('.data');
  const elements = document.querySelectorAll(`.${id}`);
  data.forEach((el) => el.classList.remove('show'));
  elements.forEach((el) => el.classList.add('show'));
}

// Export showtable for external usage
window.showTable = showTable;
