from datetime import date

from django.core.exceptions import ValidationError


def validate_after2k(value):
    if isinstance(value, date) and value.year < 2000:
        raise ValidationError(
            "Merci de renseigner une date ultérieure aux années 2000"
        )


def validate_before1y(value):
    if isinstance(value, date) and value.year > date.today().year + 2:
        raise ValidationError("Merci de renseigner une date contemporaine")
