import $ from 'jquery';
import bsCustomFileInput from 'bs-custom-file-input';

import './vendor/bootstrap';

// Export jQuery for external usage
window.jQuery = window.$ = $; // eslint-disable-line no-multi-assign

// -----------------------------------------------------------------------------
// Main application
// -----------------------------------------------------------------------------

$(() => {
  $('.no-js').removeClass('no-js');

  // remember when the user dismisses an instance message
  $(document).ready(() => {
    $('.instance-message').on('closed.bs.alert', function () {
      $.ajax({
        type: 'POST',
        url: `/instance/instance-message/${this.dataset.id}/dismiss`,
        data: {
          csrfmiddlewaretoken: $('input[name=csrfmiddlewaretoken]').val()
        },
        dataType: 'json'
      });
    });
  });


  // Make custom file input dynamic
  bsCustomFileInput.init();
});
